AML Screening Operations
Beta
Create an AML screening.If the request is successful, you receive a 201 Created response with the AML screening resource.
Pattern: ^aplt_\w+$The applicant's unique identifier.
The screening's configuration details.
Indicates whether to continue to monitor the applicant's AML status.
curl https://identity-verification.checkout.com/aml-verifications \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"search_parameters": {
"configuration_identifier": "011e5c14-2222-738c-8852-dfdbbe53f233"
},
"applicant_id": "aplt_tkoi5db4hryu5cei5vwoabr7we"
}'
{
"id": "amlv_tkoi5db4hryu5cei5vwoabr7we",
"created_on": {},
"modified_on": {},
"status": "created",
"applicant_id": "aplt_tkoi5db4hryu5cei5vwoabr7we",
"search_parameters": {
"configuration_identifier": "8eb79430-c014-41e5-be73-2c2c091322b8"
},
"monitored": false,
"_links": {
"self": {
"href": "https://identity-verification.checkout.com/aml-verifications/amlv_tkoi5db4hryu5cei5vwoabr7we"
},
"applicant": {
"href": "https://identity-verification.checkout.com/applicants/aplt_tkoi5db4hryu5cei5vwoabr7AE"
}
}
}Get the detailed result of an AML screening.
Pattern: ^amlv_\w+$The AML screening's unique identifier.
curl https://identity-verification.checkout.com/aml-verifications/amlv_tkoi5db4hryu5cei5vwoabr7we \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"id": "amlv_tkoi5db4hryu5cei5vwoabr7we",
"created_on": {},
"modified_on": {},
"status": "created",
"applicant_id": "aplt_tkoi5db4hryu5cei5vwoabr7we",
"search_parameters": {
"configuration_identifier": "8eb79430-c014-41e5-be73-2c2c091322b8"
},
"monitored": false,
"_links": {
"self": {
"href": "https://identity-verification.checkout.com/aml-verifications/amlv_tkoi5db4hryu5cei5vwoabr7we"
},
"applicant": {
"href": "https://identity-verification.checkout.com/applicants/aplt_tkoi5db4hryu5cei5vwoabr7AE"
}
}
}